• Resolved marcizus

    (@marcizus)


    Hello,
    we have warning on product page after update. No fields are shown now.
    Warning: foreach() argument must be of type array|object, string given in /public_html/wp-content/plugins/woocommerce-product-addon/templates/frontend/ppom-fields.php on line 45

    The page I need help with: [log in to see the link]

Viewing 7 replies - 1 through 7 (of 7 total)
  • Plugin Support AndreeaR

    (@andreearadacina21)

    Hello @marcizus,

    We appreciate your cooperation in reporting the issue you’re encountering. We are sorry for the inconvenience, and we have confirmed the problem. A bug report has been created and forwarded to our product development team for review.

    What happens next?

    Our developers prioritized this as the highest-priority issue so that it will be taken care of immediately.

    We will update you once the issue is addressed and a fix is released. You may also check the product’s changelog for updates and fixes in each release.

    If you have any additional questions or concerns, please feel free to open another post. Again, we apologize for the inconvenience and thank you for your patience.

    Best regards,

    Andreea

    I’m getting the same:

    [29-Feb-2024 15:42:32 UTC] PHP Warning:  Invalid argument supplied for foreach() in /home/xxxxx/public_html/wp-content/plugins/woocommerce-product-addon/templates/frontend/ppom-fields.php on line 45
    [29-Feb-2024 15:42:36 UTC] PHP Warning:  Invalid argument supplied for foreach() in /home/xxxxx/public_html/wp-content/plugins/woocommerce-product-addon/templates/frontend/ppom-fields.php on line 45
    

    When updated to 32.0.11 I no longer have any of my meta fields on products and had issues trying to login to the back end of WP. It gave me a critical error message.

    I was able to Roll back to 32.0.10 with no change to the meta

    When I rolled back to 32.0.9 everything returned to normal

    I have the same issue kg4nxw I rolled on 32.0.9 then everything returned to normal.

    • This reply was modified 1 month, 2 weeks ago by vampy.
    Plugin Author Themeisle

    (@themeisle)

    Hi @kg4nxw, @vampy, @aliakro,

    We made a release today that should address all the issues mentioned above.

    Please check with version 32.0.12 and let us know if you still encounter any issues.

    Thanks!

    Thread Starter marcizus

    (@marcizus)

    Hello,

    seems to be working again. If nobody else will have problems you can close this ticket.

Viewing 7 replies - 1 through 7 (of 7 total)
  • You must be logged in to reply to this topic.